2006-04-10

λ [FreeBSD] FreeBSD-6.1 RC でのpflog on daemontools

pflog を動かすための run スクリプト。pflog カーネルモジュールがロードされてなかったので /etc/rc.d/pflog からその部分をパクってきた。

#!/bin/sh
PATH=/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
export PATH

pflog_prestart()
{
        # load pflog kernel module if needed
        if ! kldstat -q -m pflog; then
                if kldload pflog; then
                        echo 'pflog module loaded.'
                else
                        echo 'pflog module failed to load.'
                        return 1
                fi
        fi

        # set pflog0 interface to up state
        if ! ifconfig pflog0 up; then
                echo 'could not not bring up pflog0.'
                return 1
        fi

        # report we're ready to run pflogd
        return 0
}

pflog_prestart || exit 1

exec 2>&1
exec softlimit -c 0 \
        envdir ./env \
        tcpdump -n -e -l -i pflog0

# pftcpdump options
#    -n : don't resolve
#    -e : Print the link-level header
#    -l : stdout buffer

λ [FreeBSD] mpd セッション切れた

ripngd や ospfd のルーティングプロセスをいじっていたら、mpd のセッションまで切れた。ががん。

λ iCal2Cybozu

iCalendar形式のスケジュール管理ソフトを使うことはあるかな?

λ Trac ドキュメント管理 for ISO9001

Trac で ISO9001 っぽいドキュメント管理をしようとするとこんなかな。

  • ドキュメント本体を Subversion リポジトリにつっこむ
  • レビューの議事録は wiki に掲載 (日時/プロジェクト名/件名/レビュー目的/出席者)
  • ドキュメントへの指摘事項は ticket にする。上記の レビューの議事録 wiki ページへの相互リンクをしておく。
  • ドキュメントへの修正内容は コミットログ。上記の ticket と相互リンクしておく。

改定履歴を手で管理するなんて無駄すぎ。

λ [FreeBSD] 6.1-RC での pf.conf

ipv6.mimori.org に割り当てているIPv6アドレスに対して、ホスト内からのみ接続できなくなった。6.0 時代は通ってたのに。

pass quick on $ext_if from $external_addrv6 to $external_addrv6

てなルールを追加したら通るようになったけど、どういう変更があったのかよう分らん。

λ Audi A3 Sportback 3days モニターキャンペーン

2.0TFSIか3.2quattro (要するにミッションがDSG) だったら絶対乗りたいんだけど、

モニター車両の車種・ボディーカラー・装備等はご指定いただけません。

と判然としない。うーん。

とはいえ試乗3日間で5000円はレンタカーと比べればタダみたいなもんだ。

λ [FreeBSD] FreeBSDの公式Java JDK/JRE 1.5バイナリがリリース

かなり嬉しい。イマドキJRE1.3ってありえんだろ。

あとはMSがFreeBSD向けVirtualServerR2用モジュールを提供してくれるとかなーり環境が良くなるのだが… (Javaテスト環境という状況だったらSolaris10用でも可)

現在のVirtualServerR2用Linuxモジュールの提供は以下の通り。

  • Red Hat Enterprise Linux 2.1 (update 6)
  • Red Hat Enterprise Linux 3 (update 6)
  • Red Hat Enterprise Linux 4
  • SuSE Linux Enterprise Server 9
  • Red Hat Linux 7.3
  • Red Hat Linux 9.0
  • SuSE Linux 9.2
  • SuSE Linux 9.3
  • SuSE Linux 10.0

もし今使うなら SuSE Linux 10.0 かなあ。

[]